Bug 1036101 - BRANDING: JON alert email report says "This message was delivered to you by RHQ."
Summary: BRANDING: JON alert email report says "This message was delivered to you by...
Status: CLOSED EOL
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Monitoring - Alerts, Productization
Version: JON 3.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: JON 3.4.0
Assignee: Thomas Heute
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-29 12:51 UTC by Jeeva Kandasamy
Modified: 2019-06-10 15:03 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-10 15:03:38 UTC


Attachments (Terms of Use)

Description Jeeva Kandasamy 2013-11-29 12:51:20 UTC
Description of problem:
JON alert email report says "This message was delivered to you by RHQ."

Version-Release number of selected component (if applicable):
JBoss Operations Network
Version : 3.2.0.ER7
Build Number : e8e6401:ff0061d
GWT Version : 2.5.0
SmartGWT Version : 3.0p

How reproducible:
always

Steps to Reproduce:
1. Create an alert definition and configure with email notification
2. On the alert notification says on the bottom "This message was delivered to you by RHQ."

Actual results:
says "This message was delivered to you by RHQ."

Expected results:
Should be "This message was delivered to you by JBOSS Operations Network."

Additional info:
--------------Email snap-------------------

Subject: [ALERT] priority of [Medium] for alert [107-email-test] on resource [RHQ Agent]

The resource RHQ Agent has generated the following alert:

------------------------------------------

Resource Name    : RHQ Agent
Alert Name       : 107-email-test
Alert Severity   : Medium
Alert Date/Time  : Fri Nov 29 17:31:16 IST 2013
Conditions: 
  - Condition 1: JVM Free Memory > 1,024.0B
  - Date/Time: 2013/11/29 17:31:11 IST
  - Details: 40.1MB


------------------------------------------

Resource Ancestry:

rhel6-vm [Platforms, Linux]
    RHQ Agent [RHQAgent, RHQ Agent]

------------------------------------------

For additional details about this alert, go to http://rhel-vm-2:7080/coregui/CoreGUI.html#Resource/10723/Alerts/History/10042

This message was delivered to you by RHQ.

--------------Email snap-------------------

Comment 2 Jay Shaughnessy 2014-09-05 18:49:01 UTC
This is not a regression, it's a bit of branding we don't currently do. Moving it out of 3.3.0.GA and asking for PM triage.

Comment 3 Libor Zoubek 2014-11-10 12:40:52 UTC
branch:  master
link:    https://github.com/rhq-project/rhq/commit/cf4394524
time:    2014-11-10 13:37:44 +0100
commit:  cf4394524b71e0f7ab6c4ec9b8304e0dd4cc77c0
author:  Libor Zoubek - lzoubek@redhat.com
message: Bug 1036101 - BRANDING: JON alert email report says "This message was 
         delivered to you by RHQ."
         EmailManagerBean now looks up productName and puts it into
         alert-email body

Comment 5 Mike McCune 2016-03-28 23:39:55 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 6 Filip Brychta 2019-06-10 15:03:38 UTC
JBoss ON is coming to the end of its product life cycle. For more information regarding this transition, see https://access.redhat.com/articles/3827121.
This bug report/request is being closed. If you feel this issue should not be closed or requires further review, please create a new bug report against the latest supported JBoss ON 3.3 version.


Note You need to log in before you can comment on or make changes to this bug.